#### D.15.32.2 changeCoordinates

Procedure from library `VecField.lib` (see VecField_lib).

Usage:
  changeCoordinates(vecField V, map psi), where psi is an algebra morphism k[x1,...,xn]->k[y1,...,ym] expressing the new basis in terms of the old.

Return:
  A new vecfield in the new coordinates.

Note:
  the coordinate change necessitates inverting psi.
  The inversion will be correct up to the precision of V.

Example:

    LIB "VecField.lib";
    ring r = 0, (x, y, z),ds;
    vector v = [-1,-1,-1];
    VecField V = v;
    V.precision = 4;
    map phi = r, x-2y2+z3,2y+y3+z,z;
    VecField W = changeCoordinates(V,phi);

User manual for Singular version 4.4.1, 2025, generated by texi2html.